Last Comment Bug 756887 - Require.jsm should have support and tests for firebug/NetMonitor style modules
: Require.jsm should have support and tests for firebug/NetMonitor style modules
Status: RESOLVED FIXED
[fixed-in-fx-team]
:
Product: Firefox
Classification: Client Software
Component: Developer Tools (show other bugs)
: unspecified
: All All
P1 normal (vote)
: Firefox 15
Assigned To: Joe Walker [:jwalker] (needinfo me or ping on irc)
:
: J. Ryan Stinnett [:jryans] (use ni?)
Mentors:
Depends on:
Blocks: 749397 NetMonitor
  Show dependency treegraph
 
Reported: 2012-05-20 12:04 PDT by Joe Walker [:jwalker] (needinfo me or ping on irc)
Modified: 2012-05-30 19:30 PDT (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Upload 1 (2.30 KB, patch)
2012-05-20 12:09 PDT, Joe Walker [:jwalker] (needinfo me or ping on irc)
no flags Details | Diff | Splinter Review
Upload 2 (4.92 KB, patch)
2012-05-21 02:11 PDT, Joe Walker [:jwalker] (needinfo me or ping on irc)
rcampbell: review+
Details | Diff | Splinter Review

Description User image Joe Walker [:jwalker] (needinfo me or ping on irc) 2012-05-20 12:04:43 PDT
Also the define statements in the tests should be updated to be more technically correct.
Comment 1 User image Joe Walker [:jwalker] (needinfo me or ping on irc) 2012-05-20 12:09:33 PDT
Created attachment 625508 [details] [diff] [review]
Upload 1
Comment 2 User image Joe Walker [:jwalker] (needinfo me or ping on irc) 2012-05-21 02:11:19 PDT
Created attachment 625581 [details] [diff] [review]
Upload 2

Test driven development at its finest - forgetting where the actual code was in my patch queue, so the tests test code that hasn't been committed yet. Promoting the code so the tests are in with the code. Duh.
Comment 3 User image Joe Walker [:jwalker] (needinfo me or ping on irc) 2012-05-21 04:50:10 PDT
https://tbpl.mozilla.org/?tree=Try&rev=2924e2c56f36
Comment 4 User image Joe Walker [:jwalker] (needinfo me or ping on irc) 2012-05-21 07:59:56 PDT
https://tbpl.mozilla.org/?tree=Try&rev=5b32c8cb3ad5
Comment 5 User image Rob Campbell [:rc] (:robcee) 2012-05-28 05:39:17 PDT
Comment on attachment 625581 [details] [diff] [review]
Upload 2

okay!
Comment 6 User image Joe Walker [:jwalker] (needinfo me or ping on irc) 2012-05-29 03:05:26 PDT
https://tbpl.mozilla.org/?tree=Try&rev=6b8e09a7dc03
Comment 7 User image Joe Walker [:jwalker] (needinfo me or ping on irc) 2012-05-30 01:05:55 PDT
https://tbpl.mozilla.org/?tree=Fx-Team&rev=7df3e6796d1f
Comment 8 User image Dave Camp (:dcamp) 2012-05-30 19:30:06 PDT
https://hg.mozilla.org/mozilla-central/rev/e27fa361af61

Note You need to log in before you can comment on or make changes to this bug.